Bug 1120688 - [abrt] xfdesktop: node_get_last(): xfdesktop-settings killed by SIGSEGV
Summary: [abrt] xfdesktop: node_get_last(): xfdesktop-settings killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a2b2baa8b81c07033574ed58dd9...
: 1218053 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 12:49 UTC by Peter Ludikovsky
Modified: 2015-06-30 01:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:05:23 UTC


Attachments (Terms of Use)
File: backtrace (64.80 KB, text/plain)
2014-07-17 12:49 UTC, Peter Ludikovsky
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-17 12:49 UTC, Peter Ludikovsky
no flags Details
File: core_backtrace (37.19 KB, text/plain)
2014-07-17 12:49 UTC, Peter Ludikovsky
no flags Details
File: dso_list (7.91 KB, text/plain)
2014-07-17 12:49 UTC, Peter Ludikovsky
no flags Details
File: environ (1.49 KB, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: maps (41.35 KB, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: open_fds (346 bytes, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details
File: var_log_messages (200 bytes, text/plain)
2014-07-17 12:50 UTC, Peter Ludikovsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 11051 None None None Never

Description Peter Ludikovsky 2014-07-17 12:49:52 UTC
Description of problem:
Removed all entries from the list of wallpapers to use for peridoc change.

Version-Release number of selected component:
xfdesktop-4.10.2-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/xfdesktop-settings
crash_function: node_get_last
executable:     /usr/bin/xfdesktop-settings
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 node_get_last at gsequence.c:1606
 #1 get_sequence at gsequence.c:180
 #2 g_sequence_iter_get_sequence at gsequence.c:1179
 #3 gtk_list_store_set_valist at gtkliststore.c:897
 #4 gtk_list_store_set at gtkliststore.c:941
 #5 xfdesktop_settings_do_single_preview at main.c:186
 #6 xfdesktop_settings_create_all_previews at main.c:232
 #7 g_thread_proxy at gthread.c:798

Comment 1 Peter Ludikovsky 2014-07-17 12:49:55 UTC
Created attachment 918686 [details]
File: backtrace

Comment 2 Peter Ludikovsky 2014-07-17 12:49:56 UTC
Created attachment 918687 [details]
File: cgroup

Comment 3 Peter Ludikovsky 2014-07-17 12:49:57 UTC
Created attachment 918688 [details]
File: core_backtrace

Comment 4 Peter Ludikovsky 2014-07-17 12:49:59 UTC
Created attachment 918689 [details]
File: dso_list

Comment 5 Peter Ludikovsky 2014-07-17 12:50:00 UTC
Created attachment 918690 [details]
File: environ

Comment 6 Peter Ludikovsky 2014-07-17 12:50:01 UTC
Created attachment 918691 [details]
File: exploitable

Comment 7 Peter Ludikovsky 2014-07-17 12:50:02 UTC
Created attachment 918692 [details]
File: limits

Comment 8 Peter Ludikovsky 2014-07-17 12:50:04 UTC
Created attachment 918693 [details]
File: maps

Comment 9 Peter Ludikovsky 2014-07-17 12:50:05 UTC
Created attachment 918694 [details]
File: open_fds

Comment 10 Peter Ludikovsky 2014-07-17 12:50:06 UTC
Created attachment 918695 [details]
File: proc_pid_status

Comment 11 Peter Ludikovsky 2014-07-17 12:50:07 UTC
Created attachment 918696 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-07-17 16:30:41 UTC
Can you get this to happen everytime you do that?

Or was it a one off?

Comment 13 Peter Ludikovsky 2014-07-22 15:05:18 UTC
Managed to replicate it:
 * Create a new list or edit the existing one
 * Add many pictures at once (for me currently 283)
 * While the thumbnails are rebuilding, select all images (Crtl-A) and remove them -> crash

It does not happen if the thumbs are already there.

Comment 14 Kevin Fenzi 2014-07-27 15:52:22 UTC
Excellent detective work. ;) 

Would you be interested in filing this upstream at bugzilla.xfce.org? 
Or would you like me to do so?

Comment 15 Peter Ludikovsky 2014-07-28 08:59:06 UTC
Reported upstream

Comment 16 Mukundan Ragavan 2015-05-05 00:57:43 UTC
*** Bug 1218053 has been marked as a duplicate of this bug. ***

Comment 17 Fedora End Of Life 2015-05-29 12:23:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-30 01:05:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.